Subject: Re: [PATCH 04/18] Offer a function to demote fsck errors to warnings

From: Junio C Hamano <[email-masked]>
Date: Tue, 23 Dec 2014 09:20:03 -0800

Johannes Schindelin <[email-masked]> writes:

> And *still*, this is *just* a global table with defaults. I would *still*
> need to copy-on-write when the first customization of the severity level
> takes place because I cannot allow the global defaults to be modified by
> one caller (that would defeat the whole purpose of having per-caller
> settings bundled in the fsck_options struct).

If you allocate a per-invocation fsck_options struct, then the
initialization the default with code is dead easy---you can just do
it immediately after you x[cm]alloc()---no?

What am I missing?